## ucx 1.12.1~rc2

=== examples/cmake/CMakeLists.txt ===
#
# Copyright (C) NVIDIA Corporation. 2021.  ALL RIGHTS RESERVED.
#
# See file LICENSE for terms.
#

cmake_minimum_required(VERSION 2.8)

project(test_ucx)

find_package(UCX REQUIRED COMPONENTS ucp uct ucs)

add_executable(test_ucp test_ucp.c)
target_link_libraries(test_ucp ucx::ucp)

add_executable(test_uct test_uct.c)
target_link_libraries(test_uct ucx::uct ucx::ucs)

## ucx 1.9.0~rc1

=== debian/changelog ===
ucx (1.9.0~rc1-1build1) groovy; urgency=medium

  * No-change rebuild for binutils 2.35.1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Sep 2020 12:07:03 +0200

ucx (1.9.0~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 08 Aug 2020 10:13:36 +0100

ucx (1.8.1-2) unstable; urgency=medium

  * Rebuild against libbinutils 2.35-1. Closes: #966232
  * Move to debhelper level 13
  * Add files previously not installed, thanks to dh_missing
  * Mark libucx-dev as M-A: same

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Jul 2020 12:10:20 +0100

ucx (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Only build for aamd64, arm64, powerpc64 - limited by atomics in code
  * Build-depend on doxygen and librdmacm-dev
  * Update numa - most archs now build numa
  * Drop M-A: same from -dev pkg due to conflict
  * Install examples and perftest scripts

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Jul 2020 09:54:23 +0100

ucx (1.8.0-1) unstable; urgency=low

  * Initial release (Closes: #962189)
  * patch - undo_upstream : undo upstream code that changes debian/ dir
  * patch - new_binutils : backport patch for latest binutils

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Jun 2020 14:35:10 +0100

=== debian/control ===
Source: ucx
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
 binutils-dev (>= 2.35),
 libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libnuma-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
 librdmacm-dev, 
 default-jdk [!hppa !hurd-i386 !ia64] <!stage1>,
 doxygen,
 texlive-latex-base
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org:/science-team/cdo.git
Vcs-Git: https://salsa.debian.org:/science-team/cdo.git
Homepage: https://www.openucx.org

Package: ucx-utils
Architecture: amd64 arm64 ppc64el
Depends: libucx0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Utilities for the UCX messaging library
 Unified Communication X (UCX) provides an optimized communication layer
 for Message Passing (MPI), PGAS/OpenSHMEM libraries and RPC/data-centric 
 applications.
 UCX utilizes high-speed networks for inter-node communication,i
 and shared memory mechanisms for efficient intra-node communication.
 This package provides utilities for the UCX frameworks.

Package: libucx-dev
Section: libdevel
Architecture: amd64 arm64 ppc64el
Multi-Arch: same
Depends: libucx0 (= ${binary:Version}), ${misc:Depends}
Description: Header files for UCX library
 Unified Communication X (UCX) provides an optimized communication layer
 for Message Passing (MPI), PGAS/OpenSHMEM libraries and RPC/data-centric 
 applications.
 UCX utilizes high-speed networks for inter-node communication,i
 and shared memory mechanisms for efficient intra-node communication.
 This package provides development files for UCX.

Package: libucx0
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: amd64 arm64 ppc64el
Multi-Arch: same
Description: Unified Communication X libraries
 Unified Communication X (UCX) provides an optimized communication layer
 for Message Passing (MPI), PGAS/OpenSHMEM libraries and RPC/data-centric 
 applications.
 UCX utilizes high-speed networks for inter-node communication,i
 and shared memory mechanisms for efficient intra-node communication.
 This package provides shared libraries for UCX.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

# No ibverbs support available on kFreeBSD, Hurd
NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
NO_JAVA_ARCH:= hppa hurd-i386 ia64
NO_NUMA_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386

VERBS:=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_VERBS_ARCH)), , --with-verbs )
NUMA:=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_NUMA_ARCH)),  --disable-numa , )
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
       JAVA := $(if $(filter $(DEB_TARGET_ARCH), $(NO_JAVA_ARCH)), \
                 ,--with-jdk-dir=/usr/lib/jvm/default-java --with-java=/usr/lib/jvm/default-java )
endif
#$(JAVA) 

override_dh_auto_configure:
	./contrib/configure-release --prefix=/usr
	dh_auto_configure --  \
		--enable-mt \
		$(VERBS) \
		$(NUMA) \
		--enable-devel-headers \
		--enable-examples \
		--enable-cma

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## ucx 1.10.0~rc1

=== debian/changelog ===
ucx (1.10.0~rc1-7) unstable; urgency=medium

  * Drop duplicate configure that breaks cross-compiling.
    Closes: #981257

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Feb 2021 11:25:32 +0000

ucx (1.10.0~rc1-6) unstable; urgency=medium

  * Add Breaks: libopenmpi3 (<< 4.1.0-3) to get correct configuration
    on systems without RDMA. Closes: #980448

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jan 2021 17:53:52 +0000

ucx (1.10.0~rc1-5) unstable; urgency=medium

  * typo:  -detail not details. Closes: #980238

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Jan 2021 12:53:11 +0000

ucx (1.10.0~rc1-4) unstable; urgency=medium

  * Set --disable-backtrace-details to avoid non-public binutils ABI.
    Closes: #980238

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 Jan 2021 20:36:28 +0000

ucx (1.10.0~rc1-3) unstable; urgency=medium

  * Silence unnecessary logging. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Jan 2021 14:15:37 +0000

ucx (1.10.0~rc1-2) unstable; urgency=medium

  * Update maintainer list address (net->d.org). Closes: #979600

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Jan 2021 17:05:15 +0000

ucx (1.10.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Add debian/watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jan 2021 19:24:08 +0000

ucx (1.9.0-1) unstable; urgency=medium

  * New upstream release
    - Patch merged upstream : new_binutils.patch
  * Change Team maintainer email to *alioth.debian.net
  * Standards-Version: 4.5.1; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Dec 2020 13:34:55 +0000

ucx (1.9.0~rc1-2) unstable; urgency=medium

  * Add d/gbp.conf to match DEP-14 branch names
  * Fix VCS-* urls in d/control and point to debian/latest branch.
    Closes: #970714
  * Rebuild to fix Bin Dep. Closes: #970715

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Sep 2020 11:17:07 +0100

## ucx 1.10.1~rc1

=== debian/changelog ===
ucx (1.10.1~rc1-1) unstable; urgency=medium

  * New upstream release
  * Patch for FTBFS with gcc-11 (overzealous warning). Closes: #984376

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 May 2021 14:11:59 +0100

## ucx 1.10.1~rc1+really.1.10.0

=== debian/changelog ===
ucx (1.10.1~rc1+really.1.10.0-1) unstable; urgency=medium

  * Push 1.10.0 over unstable for bullseye release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 May 2021 20:19:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,15 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
- binutils-dev (>= 2.35),
  libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libnuma-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  librdmacm-dev, 
  default-jdk [!hppa !hurd-i386 !ia64] <!stage1>,
  doxygen,
  texlive-latex-base
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org:/science-team/cdo.git
-Vcs-Git: https://salsa.debian.org:/science-team/cdo.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org:/science-team/ucx.git
+Vcs-Git: https://salsa.debian.org:/science-team/ucx.git -b debian/latest
 Homepage: https://www.openucx.org
 
 Package: ucx-utils
@@ -43,6 +42,7 @@
 Package: libucx0
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libopenmpi3 ( << 4.1.0-3)
 Architecture: amd64 arm64 ppc64el
 Multi-Arch: same
 Description: Unified Communication X libraries

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/, filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/" \
  https://github.com/openucx/ucx/tags .*/v?(\d\S+)\.tar\.gz

## ucx 1.11.1

=== debian/changelog ===
ucx (1.11.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Sep 2021 09:21:44 +0100

ucx (1.11.1~rc3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 Aug 2021 09:43:36 +0100

ucx (1.11.1~rc2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 Aug 2021 10:06:38 +0100

ucx (1.11.1~rc1-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Aug 2021 12:52:09 +0100

ucx (1.11.1~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Aug 2021 18:36:11 +0100

ucx (1.11.0~rc4-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Aug 2021 11:39:42 +0100

ucx (1.11.0~rc3-1) experimental; urgency=medium

  * New upstream release
  * Build-dep on libfuse3-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Jul 2021 09:19:48 +0100

ucx (1.11.0~rc2-1) experimental; urgency=medium

  * New upstream release
  * Update d/watch to cope with -rc release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Jul 2021 13:39:31 +0100

ucx (1.11.0~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Jul 2021 07:59:45 +0100

ucx (1.10.1~rc2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 23 May 2021 14:03:45 +0100

## ucx 1.12.1~rc2

=== debian/changelog ===
ucx (1.12.1~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Feb 2022 09:37:30 +0000

ucx (1.12.1~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Feb 2022 10:49:09 +0000

ucx (1.12.0-1) unstable; urgency=medium

  * New upstream release
  * Include cmake config files in libucx-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Dec 2021 10:20:53 +0000

ucx (1.11.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Oct 2021 19:56:55 +0100

ucx (1.11.2~rc1-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Sep 2021 10:51:43 +0100

ucx (1.11.2~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Sep 2021 12:32:54 +0100

## ucx 1.13.0

=== debian/changelog ===
ucx (1.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Jul 2022 08:21:59 +0100

ucx (1.13.0~rc2-1) unstable; urgency=medium

  * New upstream release
  * Patch ptr-fix.patch for missing def

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Jul 2022 12:59:38 +0100

ucx (1.13.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Ship ucx-*.pc files
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 May 2022 11:24:44 +0100

ucx (1.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Mar 2022 09:32:16 +0000

ucx (1.12.1~rc4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Mar 2022 17:29:07 +0000

ucx (1.12.1~rc3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Mar 2022 10:47:04 +0000

## ucx 1.13.1

=== debian/changelog ===
ucx (1.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Sep 2022 10:22:17 +0100

ucx (1.13.1~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Aug 2022 07:24:41 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
  libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libnuma-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  librdmacm-dev, 
+ libfuse3-dev,
  default-jdk [!hppa !hurd-i386 !ia64] <!stage1>,
  doxygen,
  texlive-latex-base
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org:/science-team/ucx.git
 Vcs-Git: https://salsa.debian.org:/science-team/ucx.git -b debian/latest
 Homepage: https://www.openucx.org

## ucx 1.15.0~rc3

=== debian/changelog ===
ucx (1.15.0~rc3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Aug 2023 12:42:41 +0100

ucx (1.15.0~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Jul 2023 16:33:56 +0100

ucx (1.15.0~rc1-2) unstable; urgency=medium

  * Push to unstable
  * disable java, maven doc for this build

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 10:52:51 +0100

ucx (1.15.0~rc1-1) experimental; urgency=medium

  * New upstream release
  * Re-enable java.
  * Build-dep on maven, default-jdk
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 May 2023 18:49:08 +0100

ucx (1.14.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Jan 2023 10:44:18 +0000

ucx (1.13.100-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Jan 2023 10:05:35 +0000

=== debian/rules ===
--- 
+++ 
@@ -18,14 +18,14 @@
        JAVA := $(if $(filter $(DEB_TARGET_ARCH), $(NO_JAVA_ARCH)), \
                  ,--with-jdk-dir=/usr/lib/jvm/default-java --with-java=/usr/lib/jvm/default-java )
 endif
-#$(JAVA) 
 
 override_dh_auto_configure:
-	./contrib/configure-release --prefix=/usr
 	dh_auto_configure --  \
 		--enable-mt \
 		$(VERBS) \
 		$(NUMA) \
+		--disable-backtrace-detail \
+		--disable-logging \
 		--enable-devel-headers \
 		--enable-examples \
 		--enable-cma

## ucx 1.15.0~rc4

=== debian/changelog ===
ucx (1.15.0~rc4-1) unstable; urgency=medium

  * New upstream release
  * README now called README.md. Closes: #995457
  * Fix build-twice errors. Close: #1045573
  * Disable go support this build; 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 05 Sep 2023 08:38:30 +0100

## ucx 1.15.0

=== debian/changelog ===
ucx (1.15.0-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:20:20 +0800

ucx (1.15.0-1) unstable; urgency=medium

  * New upstream release
  * README.md now called README.md

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Oct 2023 08:46:09 +0100

ucx (1.15.0~rc6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Sep 2023 08:32:04 +0100

ucx (1.15.0~rc5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Sep 2023 08:51:10 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
  libnuma-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  librdmacm-dev, 
  libfuse3-dev,
- default-jdk [!hppa !hurd-i386 !ia64] <!stage1>,
  doxygen,
  texlive-latex-base
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org:/science-team/ucx.git
 Vcs-Git: https://salsa.debian.org:/science-team/ucx.git -b debian/latest
 Homepage: https://www.openucx.org

=== debian/rules ===
--- 
+++ 
@@ -24,12 +24,16 @@
 		--enable-mt \
 		$(VERBS) \
 		$(NUMA) \
+		--disable-go \
 		--disable-backtrace-detail \
 		--disable-logging \
 		--enable-devel-headers \
 		--enable-examples \
 		--enable-cma
 
+override_dh_auto_clean:
+	dh_auto_clean
+	find  . -type l -delete
 override_dh_shlibdeps:
 	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/, filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/" \
  https://github.com/openucx/ucx/tags .*/v?(\d\S+)\.tar\.gz

## ucx 1.16.0+ds

=== examples/cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) NVIDIA Corporation. 2021.  ALL RIGHTS RESERVED.
+# Copyright (c) NVIDIA CORPORATION & AFFILIATES, 2021. ALL RIGHTS RESERVED.
 #
 # See file LICENSE for terms.
 #

=== debian/changelog ===
ucx (1.16.0+ds-5ubuntu1) noble; urgency=high

  * d/control: disable b-d on libamdhip64 on arm64 (LP: #2060999)

 -- Cordell Bloor <cgmb@slerp.xyz>  Thu, 11 Apr 2024 11:44:29 -0600

ucx (1.16.0+ds-5) unstable; urgency=medium

  * Fix FTBFS: Don't pass CFLAGS to C++ (cxxflags.patch). Closes: #1066543

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Mar 2024 11:19:06 +0000

ucx (1.16.0+ds-4) unstable; urgency=medium

  * Upstream patch for PPC64 locking 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Mar 2024 15:51:31 +0000

ucx (1.16.0+ds-3) unstable; urgency=medium

  * Enable IB options explicitly
  * Disable b-d on libamdhip64 on riscv64; not present there
  * Swap ppc64/ppc64el

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Mar 2024 07:54:15 +0000

ucx (1.16.0+ds-2) unstable; urgency=medium

  * Disable ppc64el as an arch, as UCM/bistro locking code needs
    to be ported
  * Enable profiling, logging, backtrace detail
  * Build-dep on lcov, enable lcov
  * Build-dep on libibmad-dev, libibumad-dev; enable MAD
  * Build-dep on libamdhip64-dev, enable HIP
  * Typo in vcs entries

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Mar 2024 16:11:07 +0000

ucx (1.16.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Feb 2024 08:41:19 +0000

ucx (1.16.0~rc5+ds-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Feb 2024 06:47:45 +0000

ucx (1.16.0~rc4+ds-1) experimental; urgency=medium

  * New upstream release with debian renamed

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Jan 2024 06:39:22 +0000

ucx (1.16.0~rc2-2) experimental; urgency=medium

  * Enable riscv64,ppc64 on experimental build
  * Drop refs to any 32-bit arch
  * Drop obsolete breaks

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 07 Jan 2024 08:14:18 +0000

ucx (1.16.0~rc2-1) experimental; urgency=medium

  * New upstream release
  * Disable go bindings; they don't compile

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2024 16:03:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,27 @@
 Source: ucx
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
- libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- libnuma-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
+ libibverbs-dev (>= 1.1.7) [amd64 arm64  riscv64 ppc64el s390x],
+ libnuma-dev [amd64 arm64 riscv64 ppc64 s390x],
  librdmacm-dev, 
+ libibmad-dev,
+ libibumad-dev,
  libfuse3-dev,
+ libamdhip64-dev [amd64 ppc64el],
  doxygen,
- texlive-latex-base
+ texlive-latex-base,
+ lcov
 Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org:/science-team/ucx.git
-Vcs-Git: https://salsa.debian.org:/science-team/ucx.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/ucx.git
+Vcs-Git: https://salsa.debian.org/science-team/ucx.git -b debian/latest
 Homepage: https://www.openucx.org
 
 Package: ucx-utils
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64 riscv64 ppc64el
 Depends: libucx0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Utilities for the UCX messaging library
  Unified Communication X (UCX) provides an optimized communication layer
@@ -28,7 +33,7 @@
 
 Package: libucx-dev
 Section: libdevel
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64  riscv64 ppc64el
 Multi-Arch: same
 Depends: libucx0 (= ${binary:Version}), ${misc:Depends}
 Description: Header files for UCX library
@@ -42,8 +47,7 @@
 Package: libucx0
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libopenmpi3 ( << 4.1.0-3)
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64  riscv64 ppc64el
 Multi-Arch: same
 Description: Unified Communication X libraries
  Unified Communication X (UCX) provides an optimized communication layer

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

# No ibverbs support available on kFreeBSD, Hurd
NO_VERBS_ARCH:= kfreebsd-amd64 hurd-amd64 s390x
NO_JAVA_ARCH:= ia64
NO_NUMA_ARCH:= kfreebsd-amd64

VERBS:=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_VERBS_ARCH)), , --with-verbs )
NUMA:=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_NUMA_ARCH)),  --disable-numa , )
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
       JAVA := $(if $(filter $(DEB_TARGET_ARCH), $(NO_JAVA_ARCH)), \
                 ,--with-jdk-dir=/usr/lib/jvm/default-java --with-java=/usr/lib/jvm/default-java )
endif

override_dh_auto_configure:
	CPPFLAGS="-I/usr/include/hsa -I/usr/include/hip" dh_auto_configure --  \
		--enable-mt \
		$(VERBS) \
		$(NUMA) \
		--with-go=no \
		--with-mad=yes \
		--enable-backtrace-detail \
		--enable-logging \
		--enable-devel-headers \
		--enable-examples \
		--enable-cma \
		--enable-lcov \
		--enable-profiling \
               --enable-rc \
               --enable-dc \
               --enable-ud \
               --with-mlx5-dv \
               --enable-dm

override_dh_auto_clean:
	dh_auto_clean
	find  . -type l -delete
	rm -f config.log

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## ucx 1.17.0+ds

=== debian/changelog ===
ucx (1.17.0+ds-3build1) oracular; urgency=medium

  * Rebuild against new rocm-hipamd/arm64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Aug 2024 09:03:21 +0200

ucx (1.17.0+ds-3) unstable; urgency=medium

  * Team upload
  * Drop old gcc-11 patch, already upstream
  * Drop upstream patch bb94afbda7bd533009b2ee29bbba5b8179c067d1,
    a rebase instead of drop made the code be applied twice,
    causing a ppc64el FTBFS
  * Drop ptr-fix.patch, the PTR macro was replaced with void *
    long time ago (1.14)
  * Set forwarded: https://github.com/openucx/ucx/pull/10033 to cxxflags.patch
  * Add upstream patch to fix ppc64el FTBFS with gcc-14
  * Enable again ppc64el builds and numa

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 10:48:03 +0200

ucx (1.17.0+ds-2) unstable; urgency=medium

  * Temporarily drop ppc64el as a supported arch to allow it to
    proceed.
  * Add support for loongarch64. Thanks to Dandan Zhang
    Closes: #1071616

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Jul 2024 11:44:37 +0100

ucx (1.17.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.0
  * Add ucx.conf to libucx-dev examples

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Jun 2024 15:45:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: ucx
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
- libibverbs-dev (>= 1.1.7) [amd64 arm64  riscv64 ppc64el s390x],
- libnuma-dev [amd64 arm64 riscv64 ppc64 s390x],
+ libibverbs-dev (>= 1.1.7) [amd64 arm64 loong64 riscv64 ppc64el s390x],
+ libnuma-dev [amd64 arm64 loong64 riscv64 ppc64 ppc64el s390x],
  librdmacm-dev, 
  libibmad-dev,
  libibumad-dev,
  libfuse3-dev,
- libamdhip64-dev [amd64 ppc64el],
+ libamdhip64-dev [!riscv64 !loong64],
  doxygen,
  texlive-latex-base,
  lcov
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/ucx.git
 Vcs-Git: https://salsa.debian.org/science-team/ucx.git -b debian/latest
 Homepage: https://www.openucx.org
 
 Package: ucx-utils
-Architecture: amd64 arm64 riscv64 ppc64el
+Architecture: amd64 arm64 loong64 riscv64 ppc64el
 Depends: libucx0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Utilities for the UCX messaging library
  Unified Communication X (UCX) provides an optimized communication layer
@@ -33,7 +32,7 @@
 
 Package: libucx-dev
 Section: libdevel
-Architecture: amd64 arm64  riscv64 ppc64el
+Architecture: amd64 arm64 loong64 riscv64 ppc64el
 Multi-Arch: same
 Depends: libucx0 (= ${binary:Version}), ${misc:Depends}
 Description: Header files for UCX library
@@ -47,7 +46,7 @@
 Package: libucx0
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Architecture: amd64 arm64  riscv64 ppc64el
+Architecture: amd64 arm64 loong64  riscv64 ppc64el
 Multi-Arch: same
 Description: Unified Communication X libraries
  Unified Communication X (UCX) provides an optimized communication layer

## ucx 1.18.1+ds

=== debian/changelog ===
ucx (1.18.1+ds-2) unstable; urgency=medium

  * Team Upload
  [ Dandan Zhang <zhangdandan@loongson.cn> ]
  * Update loongarch64 patch for new release (Closes: #1099636)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Mar 2025 14:17:30 +0100

ucx (1.18.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Mar 2025 12:40:04 +0000

ucx (1.18.0+ds~rc3-1) experimental; urgency=medium

  * New upstream release
  * Patch b0a275a5492125a13020cd095fe9934e0b5e7c6a.patch dropped
  * Drop kfreebsd,ia64; no longer supported in Debian
  * Build dep on golang-go, default-jdk, libgtest-dev, pkgconf,
    libhsakmt-dev for ROCm

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Jan 2025 17:09:29 +0000

ucx (1.18.0+ds~rc1-2) experimental; urgency=medium

  * Enable go bindings
  * Add libs for ROCm, and configure ROCm plugin
  * Skip dwz - it fails
  * Enable MPI tests

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Nov 2024 17:57:50 +0000

ucx (1.18.0+ds~rc1-1) experimental; urgency=medium

  * New upstream release
  * B-D on chrpath, drop RPATHs

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Nov 2024 05:32:53 +0000

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,21 @@
  libibmad-dev,
  libibumad-dev,
  libfuse3-dev,
- libamdhip64-dev [!riscv64 !loong64],
+ libamdhip64-dev [amd64 arm64 ppc64el],
+ libhsa-runtime-dev [arm64 amd64 ppc64el],
+ libhsakmt-dev [arm64 amd64 ppc64el],
+ hipcc [arm64 amd64  ppc64el],
+ mpi-default-dev,
+ mpi-default-bin,
+ pkgconf,
+ golang-go,
+ default-jdk,
+ libgtest-dev,
  doxygen,
+ chrpath,
  texlive-latex-base,
  lcov
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/ucx.git
 Vcs-Git: https://salsa.debian.org/science-team/ucx.git -b debian/latest
 Homepage: https://www.openucx.org

=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,28 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
+
+include /usr/share/mpi-default-dev/debian_defaults
+MPI:=$(LIBDIR)/$(ARCH_DEFAULT_MPI_IMPL)
+
+export HIPCXX=clang++-19
+
+export MPICC=mpicc
+
+ARCH_HIP:= amd64 arm64 ppc64el
+HIP:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_HIP)),--with-rocm=/usr,)
 
 %:
 	dh $@ 
 
 # No ibverbs support available on kFreeBSD, Hurd
-NO_VERBS_ARCH:= kfreebsd-amd64 hurd-amd64 s390x
-NO_JAVA_ARCH:= ia64
-NO_NUMA_ARCH:= kfreebsd-amd64
+NO_VERBS_ARCH:= hurd-amd64 s390x
+NO_JAVA_ARCH:= 
+NO_NUMA_ARCH:= 
 
 VERBS:=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_VERBS_ARCH)), , --with-verbs )
 NUMA:=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_NUMA_ARCH)),  --disable-numa , )
@@ -19,12 +32,15 @@
                  ,--with-jdk-dir=/usr/lib/jvm/default-java --with-java=/usr/lib/jvm/default-java )
 endif
 
+
 override_dh_auto_configure:
 	CPPFLAGS="-I/usr/include/hsa -I/usr/include/hip" dh_auto_configure --  \
 		--enable-mt \
+		--with-mpi=/usr \
 		$(VERBS) \
 		$(NUMA) \
-		--with-go=no \
+		$(HIP) \
+		--with-go=yes \
 		--with-mad=yes \
 		--enable-backtrace-detail \
 		--enable-logging \
@@ -47,3 +63,9 @@
 override_dh_shlibdeps:
 	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
 
+override_dh_auto_install:
+	dh_auto_install
+	chrpath -d debian/tmp/usr/lib/*/lib*.so.0*
+
+override_dh_dwz:
+	@echo "pass; dwz currently breaks"

## ucx 1.19.0%2Bds

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 export MPICC=mpicc
 
 ARCH_HIP:= amd64 arm64 ppc64el
-HIP:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_HIP)),--with-rocm=/usr,)
+ROCM:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_HIP)),--with-rocm=/usr,)
+HIP:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_HIP)),--with-hip=/usr,)
 
 %:
 	dh $@ 
@@ -39,8 +40,9 @@
 		--with-mpi=/usr \
 		$(VERBS) \
 		$(NUMA) \
+		$(ROCM) \
 		$(HIP) \
-		--with-go=yes \
+		--with-go=no \
 		--with-mad=yes \
 		--enable-backtrace-detail \
 		--enable-logging \

## ucx 1.19.0+ds~rc1

=== debian/changelog ===
ucx (1.19.0+ds~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Jul 2025 11:36:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,6 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
- libibverbs-dev (>= 1.1.7) [amd64 arm64 loong64 riscv64 ppc64el s390x],
- libnuma-dev [amd64 arm64 loong64 riscv64 ppc64 ppc64el s390x],
- librdmacm-dev, 
- libibmad-dev,
- libibumad-dev,
  libfuse3-dev,
  libamdhip64-dev [amd64 arm64 ppc64el],
  libhsa-runtime-dev [arm64 amd64 ppc64el],

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 		$(NUMA) \
 		$(ROCM) \
 		$(HIP) \
-		--with-go=no \
+		--with-go=yes \
 		--with-mad=yes \
 		--enable-backtrace-detail \
 		--enable-logging \

## ucx 1.19.0+ds

=== debian/changelog ===
ucx (1.19.0+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #1098027
  * Drop go support this release; tries to download cuda support
  * Add build-dep on libibmad-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Sep 2025 10:41:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
  libamdhip64-dev [amd64 arm64 ppc64el],
  libhsa-runtime-dev [arm64 amd64 ppc64el],
  libhsakmt-dev [arm64 amd64 ppc64el],
+ libibmad-dev,
+ libibumad-dev,
  hipcc [arm64 amd64  ppc64el],
  mpi-default-dev,
  mpi-default-bin,
  pkgconf,
- golang-go,
  default-jdk,
  libgtest-dev,
  doxygen,

## ucx 1.19.1+ds~rc1

=== debian/changelog ===
ucx (1.19.1+ds~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Sep 2025 11:03:12 +0100

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 		$(NUMA) \
 		$(ROCM) \
 		$(HIP) \
-		--with-go=yes \
+		--with-go=no \
 		--with-mad=yes \
 		--enable-backtrace-detail \
 		--enable-logging \
@@ -57,16 +57,14 @@
                --with-mlx5-dv \
                --enable-dm
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_override_dh_auto_clean:
 	find  . -type l -delete
 	rm -f config.log
 
 override_dh_shlibdeps:
 	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_override_dh_auto_install:
 	chrpath -d debian/tmp/usr/lib/*/lib*.so.0*
 
 override_dh_dwz:

## ucx 1.19.1+ds~rc2

=== debian/changelog ===
ucx (1.19.1+ds~rc2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Oct 2025 11:26:43 +0000

## ucx 1.20.0%2Bds

=== debian/changelog ===
ucx (1.20.0+ds-2) experimental; urgency=medium

  * Enable nocheck mode without mpi tests, to break circular dependency
    on MPI; should enable loong64 build
  * Fix cleanup for repeat builds

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Dec 2025 09:13:28 +0000

ucx (1.20.0+ds-1) experimental; urgency=medium

  * New upstream release
  * Drop libibumad-dev b-d for loong64

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Dec 2025 11:58:00 +0000

ucx (1.20.0+ds~rc1-2) experimental; urgency=medium

  * Build fix for loong64, thanks to Dandan Zhang. Closes: #1118034
  * Use pre-computed DEB_HOST_MULTIARCH
  * Add d/salsa-ci.yml
  * d/watch: Move to version 5 syntax
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * libibmad-dev not available on loong64

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Dec 2025 08:57:20 +0000

ucx (1.20.0+ds~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Dec 2025 08:09:45 +0000

## ucx 1.20.0+ds~rc1

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ucx
 Section: science
-Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -8,7 +7,7 @@
  libamdhip64-dev [amd64 arm64 ppc64el],
  libhsa-runtime-dev [arm64 amd64 ppc64el],
  libhsakmt-dev [arm64 amd64 ppc64el],
- libibmad-dev,
+ libibmad-dev [!loong64],
  libibumad-dev,
  hipcc [arm64 amd64  ppc64el],
  mpi-default-dev,
@@ -20,8 +19,8 @@
  chrpath,
  texlive-latex-base,
  lcov
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/science-team/ucx.git
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/science-team/ucx
 Vcs-Git: https://salsa.debian.org/science-team/ucx.git -b debian/latest
 Homepage: https://www.openucx.org

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
+include /usr/share/mpi-default-dev/debian_defaults
+
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
-
-include /usr/share/mpi-default-dev/debian_defaults
 MPI:=$(LIBDIR)/$(ARCH_DEFAULT_MPI_IMPL)
 
 export HIPCXX=clang++-19
@@ -25,8 +25,10 @@
 NO_VERBS_ARCH:= hurd-amd64 s390x
 NO_JAVA_ARCH:= 
 NO_NUMA_ARCH:= 
+NO_IMAD_ARCH:= loong64
 
 VERBS:=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_VERBS_ARCH)), , --with-verbs )
+IMAD:=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_IMAD_ARCH)),no,yes )
 NUMA:=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_NUMA_ARCH)),  --disable-numa , )
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
        JAVA := $(if $(filter $(DEB_TARGET_ARCH), $(NO_JAVA_ARCH)), \
@@ -43,7 +45,7 @@
 		$(ROCM) \
 		$(HIP) \
 		--with-go=no \
-		--with-mad=yes \
+		--with-mad=$(IMAD) \
 		--enable-backtrace-detail \
 		--enable-logging \
 		--enable-devel-headers \

## ucx 1.20.0+ds

=== debian/changelog ===
ucx (1.20.0+ds-4ubuntu1) resolute; urgency=medium

  * Build without hipcc on ppc64el (lp: #2138733)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Jan 2026 11:41:49 +0100

ucx (1.20.0+ds-4) unstable; urgency=medium

  * Team upload

  [ Dandan Zhang ]
  * Fix implicit declaration of function 'ucs_cpu_relax' on loong64
    (Closes: #1125016)

  [ Alastair McKinstry ]
  * Minor changes to d/copyright for licenserecon

 -- Graham Inggs <ginggs@debian.org>  Thu, 08 Jan 2026 13:53:55 +0000

ucx (1.20.0+ds-3) unstable; urgency=medium

  * Drop MPI tests to unblock circular dependency

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Jan 2026 10:37:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: ucx
 Section: science
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
  libfuse3-dev,
- libamdhip64-dev [amd64 arm64 ppc64el],
- libhsa-runtime-dev [arm64 amd64 ppc64el],
- libhsakmt-dev [arm64 amd64 ppc64el],
+ libamdhip64-dev [amd64 arm64],
+ libhsa-runtime-dev [arm64 amd64],
+ libhsakmt-dev [arm64 amd64],
  libibmad-dev [!loong64],
- libibumad-dev,
- hipcc [arm64 amd64  ppc64el],
- mpi-default-dev,
- mpi-default-bin,
+ libibumad-dev [!loong64],
+ hipcc [arm64 amd64],
  pkgconf,
  default-jdk,
  libgtest-dev,

=== debian/rules ===
--- 
+++ 
@@ -5,19 +5,20 @@
 export DH_VERBOSE=1
 
 include /usr/share/dpkg/architecture.mk
-include /usr/share/mpi-default-dev/debian_defaults
-
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
-MPI:=$(LIBDIR)/$(ARCH_DEFAULT_MPI_IMPL)
 
 export HIPCXX=clang++-19
 
-export MPICC=mpicc
+#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+#include /usr/share/mpi-default-dev/debian_defaults
+#export MPICC=mpicc
+#endif
 
-ARCH_HIP:= amd64 arm64 ppc64el
+
+ARCH_HIP:= amd64 arm64
 ROCM:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_HIP)),--with-rocm=/usr,)
 HIP:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_HIP)),--with-hip=/usr,)
-
+#MPI:= $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),--with-mpi=/usr,)
 %:
 	dh $@ 
 
@@ -39,7 +40,7 @@
 override_dh_auto_configure:
 	CPPFLAGS="-I/usr/include/hsa -I/usr/include/hip" dh_auto_configure --  \
 		--enable-mt \
-		--with-mpi=/usr \
+		$(MPI)  \
 		$(VERBS) \
 		$(NUMA) \
 		$(ROCM) \
@@ -59,7 +60,7 @@
                --with-mlx5-dv \
                --enable-dm
 
-execute_after_override_dh_auto_clean:
+execute_after_dh_auto_clean:
 	find  . -type l -delete
 	rm -f config.log
